%define anolis_release 1

%global srcname conda-package-handling
%global pkgname conda_package_handling

Name:           python-%{srcname}
Version:        2.2.0
Release:        %{anolis_release}%{?dist}
Summary:        Create and extract conda packages of various formats

License:        BSD-3-Clause
URL:            https://github.com/conda/%{srcname}
Source0:        https://github.com/conda/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
Create and extract conda packages of various formats.

%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-conda-package-streaming
BuildRequires:  python%{python3_pkgversion}-Cython
BuildRequires:  python%{python3_pkgversion}-six
BuildRequires:  python%{python3_pkgversion}-tqdm
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-pytest-mock
Requires:       python%{python3_pkgversion}-six
Requires:       python%{python3_pkgversion}-tqdm
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

%description -n python%{python3_pkgversion}-%{srcname}
Create and extract conda packages of various formats.

%package -n python%{python3_pkgversion}-%{srcname}-doc
Summary: Doc files for python%{python3_pkgversion}-%{srcname}
Requires: python%{python3_pkgversion}-%{srcname} = %{EVR}

%description -n python%{python3_pkgversion}-%{srcname}-doc
Doc files for python%{python3_pkgversion}-%{srcname}

%prep
%autosetup -n %{srcname}-%{version}
sed -i -e s/archive_and_deps/archive/ setup.py
# do not run coverage in pytest
sed -i -E '/--(no-)?cov/d' setup.cfg

%build
%py3_build

%install
%py3_install

%check
PYTHONPATH=%{buildroot}%{python3_sitelib} py.test-%{python3_version} -v tests 

%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%{_bindir}/cph
%{python3_sitelib}/%{pkgname}-*.egg-info/
%{python3_sitelib}/%{pkgname}/

%files -n python%{python3_pkgversion}-%{srcname}-doc
%doc AUTHORS.md CHANGELOG.md README.md

%changelog
* Wed Nov 29 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2.2.0-1
- init from upstream
